Skip to main content
GET
/
v2
/
tx
/
status
cURL
curl --request GET \
  --url https://api.skip.build/v2/tx/status
import requests

url = "https://api.skip.build/v2/tx/status"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.skip.build/v2/tx/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transfers": [
    {
      "state": "STATE_COMPLETED_SUCCESS",
      "transfer_sequence": [
        {
          "ibc_transfer": {
            "from_chain_id": "cosmoshub-4",
            "to_chain_id": "osmosis-1",
            "state": "TRANSFER_SUCCESS",
            "packet_txs": {
              "send_tx": {
                "chain_id": "cosmoshub-4",
                "tx_hash": "EEC65138E6A7BDD047ED0D4BBA249A754F0BBBC7AA976568C4F35A32CD7FB8EB",
                "explorer_link": "https://www.mintscan.io/cosmos/transactions/EEC65138E6A7BDD047ED0D4BBA249A754F0BBBC7AA976568C4F35A32CD7FB8EB",
                "on_chain_at": "2023-11-13T02:59:53Z"
              },
              "receive_tx": {
                "chain_id": "osmosis-1",
                "tx_hash": "F513DDCB7BDFEE74AF07F67881D6778A3710C88EEAEBDA95E726E52C7B5E6BD3",
                "explorer_link": "https://www.mintscan.io/osmosis/transactions/F513DDCB7BDFEE74AF07F67881D6778A3710C88EEAEBDA95E726E52C7B5E6BD3",
                "on_chain_at": "2023-11-13T03:00:07Z"
              },
              "acknowledge_tx": {
                "chain_id": "cosmoshub-4",
                "tx_hash": "67E19B010FED8688C1B476EE4E1E627111158527C531742FB3D54A7399E40789",
                "explorer_link": "https://www.mintscan.io/cosmos/transactions/67E19B010FED8688C1B476EE4E1E627111158527C531742FB3D54A7399E40789",
                "on_chain_at": "2023-11-13T03:00:19Z"
              },
              "timeout_tx": null,
              "error": null
            }
          }
        },
        {
          "axelar_transfer": {
            "from_chain_id": "osmosis-1",
            "to_chain_id": "43114",
            "type": "AXELAR_TRANSFER_SEND_TOKEN",
            "state": "AXELAR_TRANSFER_SUCCESS",
            "txs": {
              "send_token_txs": {
                "send_tx": {
                  "chain_id": "osmosis-1",
                  "tx_hash": "F513DDCB7BDFEE74AF07F67881D6778A3710C88EEAEBDA95E726E52C7B5E6BD3",
                  "explorer_link": "https://www.mintscan.io/osmosis/transactions/F513DDCB7BDFEE74AF07F67881D6778A3710C88EEAEBDA95E726E52C7B5E6BD3"
                },
                "confirm_tx": null,
                "execute_tx": {
                  "chain_id": "43114",
                  "tx_hash": "0x0f2c793c8fe522efd7bcd38e1e666f02fb516782799ddd26d8d7a4e8a5b71dc8",
                  "explorer_link": "https://snowtrace.io/tx/0x0f2c793c8fe522efd7bcd38e1e666f02fb516782799ddd26d8d7a4e8a5b71dc8"
                },
                "error": null
              }
            },
            "axelar_scan_link": "https://axelarscan.io/transfer/F513DDCB7BDFEE74AF07F67881D6778A3710C88EEAEBDA95E726E52C7B5E6BD3"
          }
        }
      ],
      "next_blocking_transfer": null,
      "transfer_asset_release": {
        "chain_id": "43114",
        "denom": "wavax-wei",
        "released": true
      },
      "error": null
    }
  ]
}

Query Parameters

tx_hash
string
required

Hex encoded hash of the transaction to query for

chain_id
string
required

Chain ID of the transaction

Response

The status of the transaction and any subsequent ibc or Axelar transfers.

state
enum<string>
required

The overall state reflecting the end-to-end status of all transfers initiated by the original transaction.

Available options:
STATE_SUBMITTED,
STATE_PENDING,
STATE_ABANDONED,
STATE_COMPLETED_SUCCESS,
STATE_COMPLETED_ERROR,
STATE_PENDING_ERROR
transfer_sequence
object[]
required
deprecated

DEPRECATED. This field provides a flat list of all transfer events. For a more structured and detailed status of each transfer leg, including its individual events, please use the 'transfers' array instead. This field may be removed in a future version.

transfers
object[]

Transfer status for all transfers initiated by the transaction in the order they were initiated.

next_blocking_transfer
object | null

Details about the next transfer in the sequence that is preventing further progress, if any.

transfer_asset_release
object

Indicates location and denom of transfer asset release.

error
object | null

Details about any error encountered during the transaction or its subsequent transfers.

status
string

A high-level status indicator for the transaction's completion state.

Example:

"STATE_COMPLETED"